Jump to content

Проблемы с mosquitto после обновления до 2.12.C.0.0-1


Recommended Posts

Настроил у себя давно на Keenetic Ultra II сервер mosquitto, всё хорошо работало, пока роутер сам не обновился до последней, "красиврй" версии 2.12.C.0.0-1

 

Теперь не запускается с ошибкой:

/opt/sbin/mosquitto: can't load library 'libwebsockets.so.8.1'

Установлен пакет libwebsockets-openssl версии 2.4.1-2 , но я так понимаю либо это не тот пакет который нужен, либо не та версия.

Подскажите пожалуйста, как можно поставить нужный ответ в гугле найти не смог.

 

Спасибо.

Link to comment
Share on other sites

Обновление прошивки совершенно ни при чём.

Начнём от простого к сложному: 

обновиться `opkg update && opkg upgrade`

не помогло, запускаем `ldconfig` и поробуем

не вышло, переустанавливаем пакет `opkg install --force-reinstall --force-depends ...`

Link to comment
Share on other sites

35 минут назад, TheBB сказал:

Обновление прошивки совершенно ни при чём.

Просто именно после обновления и сломался...

а теперь стало ещё интересней:

~ # opkg list|grep mosquitto
libmosquitto - 1.4.10-1
libmosquitto-nossl - 1.4.14-3 - Library required for mosquitto's command line client tools, also for use by any third party software that wants to communicate with a mosquitto server.  Should be useable for communicating with any MQTT v3.1/3.1.1 compatible server, such as IBM's RSMB, in addition to Mosquitto This package is built without SSL support
libmosquitto-ssl - 1.4.14-3 - Library required for mosquitto's command line client tools, also for use by any third party software that wants to communicate with a mosquitto server.  Should be useable for communicating with any MQTT v3.1/3.1.1 compatible server, such as IBM's RSMB, in addition to Mosquitto This package is built with SSL support
mosquitto - 1.4.10-1
mosquitto-client-nossl - 1.4.14-3 - Command line client tools for publishing messages to MQTT servers and subscribing to topics. This package is built without SSL support
mosquitto-client-ssl - 1.4.14-3 - Command line client tools for publishing messages to MQTT servers and subscribing to topics. This package is built with SSL support
mosquitto-nossl - 1.4.14-3 - Mosquitto is an open source (BSD licensed) message broker that implements the MQTT protocol version 3.1 and 3.1.1. MQTT provides a lightweight method of carrying out messaging using a publish/subscribe model.  This package also includes some basic support for configuring via UCI This package is built WITHOUT SSL support.
mosquitto-ssl - 1.4.14-3 - Mosquitto is an open source (BSD licensed) message broker that implements the MQTT protocol version 3.1 and 3.1.1. MQTT provides a lightweight method of carrying out messaging using a publish/subscribe model.  This package also includes some basic support for configuring via UCI This package is built with SSL support
~ # opkg install mosquitto
Installing mosquitto (1.4.10-1) to root...
Collected errors:
 * opkg_download_pkg: Package mosquitto is not available from any configured src.
 * opkg_install_pkg: Failed to download mosquitto. Perhaps you need to run 'opkg update'?
 * opkg_install_cmd: Cannot install package mosquitto.

т.е. в списке пакет есть, а при попытке поставить ругается что нет

opkg update

Делал

Link to comment
Share on other sites

нужно было полностью обновить устаревшую систему, но, если так проще, почему бы и нет... )))

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...